//
// C++ Interface: grid_helper
//
// Description:
//
//
// Author: Mirco <mirco@Mirco-Laptop>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef GRID_HELPER_H
#define GRID_HELPER_H


#include <iostream>
#include <string>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <math.h>
#include "mathematik.h"
#include "util.h"
#include "util_c.h"
#include "nrutil.h"
#include "grid.h"
#include "monte_carlo_run.h"
void ProteinToiGrid(iGrid *grid, MUS_atom *p, double maxrad, mc_var *vars);
double get_box_volume(iGrid &g);
void set_iGrid(iGrid &g, int min1, int min2, int min3, int max1, int max2, int max3);
void initialize_iGrid(iGrid &g, int ini);
void set_0_to_x(iGrid &g, int x);


#endif
