//
// C++ Interface: error_calcs
//
// Description:
//
//
// Author: Mirco <mirco@Mirco-Laptop>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef ERROR_CALCS_
#define ERROR_CALCS_
#include <fstream>
#include <iostream>
#include <sstream>
#include <string>
#include "util.h"

class on_demand_error{
    public:
        double n; /* We need double here if we get a lot of values! */
        double actual_error;
        double value_sum;
        double square_sum;
        on_demand_error();
        on_demand_error(int test);
        double add_value_online(double to_add);
        void add_value(double to_add);
        void remove_value(double to_add);
        double calc_error();
        double calc_average();
        double get_n(){return n;}
};

#endif
