//
// C++ Implementation: test_io
//
// Description: 
//
//
// Author: Mirco Till <Mirco.Till@uni-bayreuth.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "file_io.h"
#include "util.h"
#include "test_memory.h"

using namespace std;

int main(int argc, char *argv[]){
    vec<int> vector_int(1,10,0);
    vec<double> vector_double(1,10,0);
    vec<float> vector_float(1,10,0);
    vec<short> vector_short(1,10,0);
    cout << "vector<short> (10 elements): " << vector_short.get_space() << endl;
    cout << "vector<int> (10 elements): " << vector_int.get_space() << endl;
    cout << "vector<float> (10 elements): " << vector_float.get_space() << endl;
    cout << "vector<double> (10 elements): " << vector_double.get_space() << endl;
    matrix<int> matrix_int(1,10,5,10,0);
    matrix<double> matrix_double(1,10,5,10,0);
    matrix<float> matrix_float(1,10,5,10,0);
    matrix<short> matrix_short(1,10,5,10,0);
    cout << "matrix<short> (10,5 elements): " << matrix_short.get_space() << endl;
    cout << "matrix<int> (10,5 elements): " << matrix_int.get_space() << endl;
    cout << "matrix<float> (10,5 elements): " << matrix_float.get_space() << endl;
    cout << "matirx<double> (10,5 elements): " << matrix_double.get_space() << endl;
    tensor<int> tensor_int(1,10,5,10,5,10,0);
    tensor<double> tensor_double(1,10,5,10,5,10,0);
    tensor<float> tensor_float(1,10,5,10,5,10,0);
    tensor<short> tensor_short(1,10,5,10,5,10,0);
    cout << "tensor<short> (10,5,5 elements): " << tensor_short.get_space() << endl;
    cout << "tensor<int> (10,5,5 elements): " << tensor_int.get_space() << endl;
    cout << "tensor<float> (10,5,5 elements): " << tensor_float.get_space() << endl;
    cout << "tensor<double> (10,5,5 elements): " << tensor_double.get_space() << endl;
    d4_tensor<int> d4_tensor_int(1,10,5,10,5,11,5,12,0);
    d4_tensor<double> d4_tensor_double(1,10,5,10,5,11,5,12,0);
    d4_tensor<float> d4_tensor_float(1,10,5,10,5,11,5,12,0);
    d4_tensor<short> d4_tensor_short(1,10,5,10,5,11,5,12,0);
    cout << "4d_tensor<short> (10,5,6,7 elements): " << d4_tensor_short.get_space() << endl;
    cout << "4d_tensor<int> (10,5,6,7elements): " << d4_tensor_int.get_space() << endl;
    cout << "4d_tensor<float> (10,5,6,7 elements): " << d4_tensor_float.get_space() << endl;
    cout << "4d_tensor<double> (10,5,6,7 elements): " << d4_tensor_double.get_space() << endl;
    
    return 1;
}
