/* Matthias Ullmann                                     */
/* Bayreuth, September 2006                             */
/*                                                      */
/* .....................................................*/

/* .................................................................... */
#ifndef __volume__
#define __volume__

#include "nb-list.h"
#include "surface.h"

void ProteinToGrid(iListGrid *grid, MUS_atom *p, double maxrad);
void SurfaceToGrid(iListGrid *grid, DotSurf *sf);
int pt_to_cell(int *ipt, double *pt, iListGrid *grd);
int pt_to_cell2(int *ipt, double *pt, iGrid *grd);


#endif  /* __volume__ */
