/* G. Matthias Ullmann, Heidelberg Jan 2003		*/
/*......................................................*/
#ifndef __radius__
#define __radius__

#define MAXCHAINS 100

#include "mus_atom.h"
#include "crd_atom.h"

typedef struct {int     notypes;
                double  *rad;
                char    **name;
               }Rad;

/* radius stuff */
void read_RAD(char *filename, Rad *rad);
void assign_chains(MUS_atom *mus,CRD_atom *crd);
void print_RAD(FILE *fpout, Rad *rad);
void assign_radius(MUS_atom *mus, Rad *rad);
void psfcrd2mus(MUS_atom *mus, PSF_atom *psf, CRD_atom *crd);

#endif /* __radius__ */
