//
// C++ Interface: constants
//
// Description: 
//
//
// Author: Mirco Till <Mirco.Till@uni-bayreuth.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CONSTANTS_
#define CONSTANTS_
const double util_j2kcal = 2.388459e-04;
const double util_cal2j = 4.186800e+00;
const double util_j2cal = 2.388459e-01;

const double util_hplank = 6.6260755E-37;
const double util_kb = 1.380658E-26;
const double util_R = 8.3143; // J/K*mol
const double util_rt = util_R *util_j2kcal * 298.15;
const double util_kt = util_R * util_kb * util_j2kcal;
const double util_pi = 3.14159265358979323846;
const double util_ln10 = 2.30258;

#endif
