//
// C++ Implementation: sites
//
// Description:
//
//
// Author: Mirco Till <Mirco.Till@uni-bayreuth.de>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "sites.h"

sites::sites(ifstream &fi) :nsites(0) {
  stringstream line;
  string resn;
  int num;
  while (my_get_line(line,fi)) {
    line >> num >> resn;
    names.add_item();
    numbers.add_item();
    nsites++;
    names(nsites) = resn;
    numbers(nsites) = num;
  }
}

ostream &operator<<(ostream &out, sites &si) {
  for (int i=1; i<= si.nsites; i++) {
    cout << si.names(i) << " " << si.numbers(i) << endl;
  }
  return out;
}
