//
// C++ Implementation: test_io
//
// Description:
//
//
// Author: Mirco Till <Mirco.Till@uni-bayreuth.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "test_io.h"


int main(int argc, char *argv[]){
    char filename[100];

    strcpy(filename, "don_acc.dat");
    don_acc_list don_acc(filename);
    cout << "don_acc read" << endl;
    sprintf(filename, "%s%s", argv[1], ".pqr");
    prot ga(filename, don_acc);
    cout << "Prot read" << endl;
    sprintf(filename, "%s%s", argv[1], ".setup");
    cout << "Setup read" << endl;
    strcpy(filename, "TIPM.est");
    sprintf(filename, "%s%s", argv[1], ".siterep");
    ifstream siterep(filename);
    cout << "Siterep read" << endl;
    igzstream ww_file("W.dat.bin.gz");
    qmpb_w ww(ww_file);
    ww.create_cutof_list(0.5,0);
    return 1;
}
